package v1

import (
	"property-household-gateway/param/base"
	"property-household-gateway/pb/v1"
)

type AnnouncementListQuery struct {
	Page     int64 `form:"page" json:"page"`
	PageSize int64 `form:"page_size" json:"page_size"`
	GardenId int64 `form:"garden_id" json:"garden_id"`
}

type AnnouncementListRequest struct {
	base.Header
	AnnouncementListQuery
}

type AnnouncementListResponse struct {
	base.Result
	Data v1.AnnouncementListReply `json:"data"`
}

type AnnouncementReadAddBody struct {
	Id       int64 `form:"id"`
	GardenId int64 `form:"garden_id" json:"garden_id"`
}

type AnnouncementReadAddRequest struct {
	base.Header
	AnnouncementReadAddBody
}

type AnnouncementReadAddResponse struct {
	base.Result
}
