package v1

import (
	"property-household-gateway/param/base"
	"property-household-gateway/pb/v1"
)


type ServicePhoneClassListQuery struct {
	GardenId int64 `form:"garden_id" json:"garden_id"`
	Page                 int64    `form:"page" json:"page"`
	PageSize             int64    `form:"page_size" json:"page_size"`
}

type ServicePhoneClassListRequest struct{
	base.Header
	ServicePhoneClassListQuery
}

type ServicePhoneClassListResponse struct{
	base.Result
	Data v1.ServicePhoneClassListReply `json:"data"`
}


type ServicePhoneListQuery struct {
	GardenId int64 `form:"garden_id" json:"garden_id"`
	Page                 int64    `form:"page" json:"page"`
	PageSize             int64    `form:"page_size" json:"page_size"`
	ClassId                 int64   `form:"class_id" json:"class_id"`
}

type ServicePhoneListRequest struct{
	base.Header
	ServicePhoneListQuery
}

type ServicePhoneListResponse struct{
	base.Result
	Data v1.ServicePhoneListReply `json:"data"`
}